#ifndef TMHistogrammingEventsWithHitsEq_H
#define TMHistogrammingEventsWithHitsEq_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingEventsWithHitsEq : public TMHistogramming {
 public:
  TMHistogrammingEventsWithHitsEq(UInt_t eq);
  virtual ~TMHistogrammingEventsWithHitsEq();

  virtual void StartEvent(eventHeaderStruct *event, UInt_t globalEventNumber);
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:
  UInt_t  fEq;
  Bool_t  fHitChip[6][10];
  UInt_t  fTotalNumberHitEvents[6][10];
  TH1F    *fTheHisto;

};

#endif
